Failed to start Foreman after rubygem-json update

02/13/2013 10:10 AM - Trojanski T.
Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  
Pull request:    

Description

I'm running Foreman 1.1stable on CentOS 6.3 x86_64

Foreman died after updating rubygem-json package today.

Package updated from the Foreman repository

1. /etc/init.d/foreman restart

Stopping foreman: Foreman was not running.                 [FAILED]

Starting foreman: /usr/lib/ruby/gems/1.8/gems/bundler-1.0.15/lib/bundler/spec_set.rb:87:in `materialize': Could not find json-1.6.6 in

any of the sources (Bundler::GemNotFound)

from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.15/lib/bundler/spec_set.rb:81:in `map!'

from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.15/lib/bundler/spec_set.rb:81:in `materialize'

from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.15/lib/bundler/definition.rb:90:in `specs'

from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.15/lib/bundler/definition.rb:135:in `specs_for'

from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.15/lib/bundler/definition.rb:124:in `requested_specs'

from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.15/lib/bundler/environment.rb:23:in `requested_specs'

from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.15/lib/bundler/runtime.rb:11:in `setup'

from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.15/lib/bundler.rb:107:in `setup'

from /usr/share/foreman/config/boot.rb:9

from /usr/share/foreman/script/rails:5:in `require'

from /usr/share/foreman/script/rails:5

[FAILED]

Fixed by changing json package version in /usr/share/foreman/Gemfile.lock

1. diff Gemfile.lock Gemfile.lock_orig

58c58

<     json (1.6.8)

---

json (1.6.6)

 after I managed to start foreman.

I would like to make sure that this is a proper fix and won't heart anything else or if other actions required.

That was really strange having kind of simple bug in stable version.

Thanks

History

#1 - 02/13/2013 10:32 AM - Dominic Cleal

- Category set to Packaging
- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Target version set to 1.2.0

The issue here is there's no posttrans run after a rubygem's updated.  In the short term, a new 1.1 stable release should help as it'll cause bundler to

update.

In the longer term, lzap's bundler_ext patch will resolve this.

#2 - 02/25/2013 04:03 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Since bundler_ext was merged to develop, I'm closing this ticket.
